This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981639 - User shouldn't be allowed to add same package in content-view filter repeatedly
User shouldn't be allowed to add same package in content-view filter repeatedly
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: John Mitsch
Bruno Rocha
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 07:11 EDT by Sachin Ghai
Modified: 2017-08-15 16:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
same package 'cow' is added thrice (54.12 KB, image/png)
2013-07-05 07:11 EDT, Sachin Ghai
no flags Details
verified_dup_package_not_allowed (109.40 KB, image/png)
2016-11-09 19:54 EST, Bruno Rocha
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16186 None None None 2016-08-18 15:02 EDT

  None (edit)
Description Sachin Ghai 2013-07-05 07:11:29 EDT
Created attachment 769216 [details]
same package 'cow' is added thrice

Description of problem:
User shouldn't be allowed to add same package in content-view filter repeatedly, especially when user choose 'All version'.


Version-Release number of selected component (if applicable):
katello-glue-elasticsearch-1.4.2-1.git.761.9817788.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.4.2-1.git.98.3567fd4.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
signo-katello-0.0.9-1.el6.noarch
katello-glue-candlepin-1.4.2-1.git.761.9817788.el6.noarch
katello-1.4.2-1.git.761.9817788.el6.noarch
katello-repos-1.4.2-1.el6.noarch
katello-common-1.4.2-1.git.761.9817788.el6.noarch
katello-all-1.4.2-1.git.761.9817788.el6.noarch
katello-selinux-1.4.3-1.git.4.99dc194.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.4.2-1.git.98.3567fd4.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-configure-1.4.3-1.git.65.63e692c.el6.noarch
katello-glue-pulp-1.4.2-1.git.761.9817788.el6.noarch


How reproducible:
always

Steps to Reproduce:
1. create a content-view definition
2. Create a package filter
3. include/exclude the same package repeatedly

Actual results:
User can add same package in cv filter repeatedly

Expected results:
shouldn't be allowed to add same package, when user selects 'All Version'

Additional info:
Comment 1 RHEL Product and Program Management 2013-09-17 00:24:06 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Justin Sherrill 2013-09-17 13:59:33 EDT
This seems like an necessary restriction, and becomes more complicated with the fact that you can have multiple rules on a filter and multiple filters on a definition.  I do not feel this is worthy to do.

Thoughts?
Comment 5 Sachin Ghai 2013-09-18 07:27:36 EDT
Yeah, we can apply multiple rules on a filter but would be nice if we somehow restrict user to add add same rule multiple times and on a single filter.
Comment 6 John Mitsch 2016-08-18 14:55:37 EDT
Created redmine issue http://projects.theforeman.org/issues/16186 from this bug
Comment 7 Bryan Kearney 2016-08-29 18:00:49 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16186 has been resolved.
Comment 10 Bruno Rocha 2016-11-09 19:54 EST
Created attachment 1219119 [details]
verified_dup_package_not_allowed
Comment 11 Bruno Rocha 2016-11-09 19:55:42 EST
Verified in:

satellite-6.3.0-6.1.beta.el7sat.noarch - RHEL6 and RHEL7

Conclusion:

As in attached image system does not allow duplicate package to be added to the same filter.
Comment 12 Brad Buckingham 2017-01-04 19:14:58 EST
*** Bug 1402826 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.